Page tree
Skip to end of metadata
Go to start of metadata



Internet Explorer 11 / Microsoft Edge Legacy

Discontinuation of support



Last Compatible Versions

Linchpin Intranet Suite 5.0.x and Linchpin Essentials 2.0.x, as well as the associated individual apps (if available individually in the Atlassian Marketplace), will be the last versions to support Internet Explorer 11 and Microsoft Edge Legacy.

Starting with version 5.1 of Linchpin Intranet Suite or version 2.1 of Linchpin Essentials - both expected to be available in early Fall 2021 - will no longer support Internet Explorer 11 and Microsoft Edge Legacy.



The reasons

Internet Explorer 11's technology is severely outdated and doesn't handle many of the requirements that have long been standard in modern development. As a result, this has slowed down the development of Linchpin: Many features need extra specifications for IE11, which makes testing and fixing bugs more difficult. Also, issues in regards to performance can't be solved in an optimal manner as long as we continue to consider the limited capabilities of IE11.

We would have preferred to stop supporting IE11 a long time ago and develop in a more modern and efficient way, but many companies continued to use it. However, recently things have changed and most companies have replaced IE11. 


In fact, Microsoft itself no longer supports IE11 in some of its apps. Since last year, Microsoft Teams discontinued support for IE11 and in August 2021, Microsoft 365 apps will discontinued its support as well. 

Confluence 7.4 is the last version that still supports Internet Explorer 11, and version 7.12 has already been released here.


What does that mean?

Linchpin Intranet Suite 5.0.x and Linchpin Essentials 2.0.x, as well as the associated individual apps (if available individually in the Atlassian Marketplace), are still compatible with Internet Explorer 11. 

Furthermore, a patch release based on this, such as Linchpin Suite 5.0.1, will also still be compatible. 

However, when we develop new features or revise existing features for the Linchpin versions that are expected to be released in the Fall of 2021 (Linchpin Intranet Suite 5.1, Linchpin Essentials 2.1 and associated individual apps), we will no longer run compatibility testing with Internet Explorer 11. So it may be - and in fact is likely - that these features will no longer work or work properly in IE11. 

In the past, we've done "backports" for critical security holes. That means within necessary scope and reason, we released not only the security patch for the current Linchpin versions, but also for one or two prior versions. When necessary we will continue to do so, and we will continue to release security patches for Linchpin Intranet Suite 5.0, Linchpin Essentials 2.0, and the associated individual apps for some time to come.



What to do if IE11 is still in use?

Our recommendation - not only because of Linchpin - is to switch to a more modern browser as soon as possible. 

If that isn't possible for you right now, we recommend to keep the last compatible version of Linchpin and only apply possible patch releases to it. But, we don't recommend that you update to the future, feature release versions until your browser can be replaced.  



Contact

If you have any questions about this topic, please contact your account manager directly or - if not available/known - use the contact form. 








  • No labels
This page was last edited on 04/30/2021.